Bug 11906 - Inapropriate error message issued when joining with an expired password
Inapropriate error message issued when joining with an expired password
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.4.3
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-05-06 13:33 UTC by Guenther Deschner
Modified: 2016-05-12 12:12 UTC (History)
3 users (show)

See Also:


Attachments
patch from master for v4-4-test (4.02 KB, patch)
2016-05-06 13:39 UTC, Guenther Deschner
jra: review+
gd: review? (obnox)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2016-05-06 13:33:48 UTC
s3-kerberos: avoid entering a password change dialogue also when using MIT.
    
    Without this fix, for accounts with an expired password, a password change
    process is initiated and - due to the prompter - this fails with a confusing
    error message:
    
    "kerberos_kinit_password Administrator@W2K12DOM.BER.REDHAT.COM failed: Password
    mismatch
    Failed to join domain: failed to connect to AD: Password mismatch"
Comment 1 Guenther Deschner 2016-05-06 13:39:50 UTC
Created attachment 12081 [details]
patch from master for v4-4-test
Comment 2 Jeremy Allison 2016-05-09 11:33:06 UTC
Comment on attachment 12081 [details]
patch from master for v4-4-test

LGTM.
Comment 3 Jeremy Allison 2016-05-09 11:33:33 UTC
Re-assigning to Karolin for inclusion in 4.4.next.
Comment 4 Karolin Seeger 2016-05-11 11:54:31 UTC
(In reply to Jeremy Allison from comment #3)
Pushed to autobuild-v4-4-test.
Comment 5 Karolin Seeger 2016-05-12 12:12:26 UTC
Pushed to v4-4-test.
Closing out bug report.

Thanks!